fuente=font.load("APP/calendario/font.pgf")
dofile("APP/calendario/funciones.lua")

--Creamos la variable del mes
mes=""

olax=0
--La tabla con los meses
ver_meses={"enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre"}

--Variable para borrarlo todo
removeall=0

function calendario(vuelta)
liberar(22)
if not vuelta then
	psptime=os.date("*t")
	fecha={year=psptime.year,month=psptime.month,day=psptime.day}
	respuesta=os.message("¿Deseas actualizar la fecha usando internet?",1)
	if respuesta==1 then ver_hora() end
	notas={}
	dofile("APP/calendario/notas.lua")
	morerecent=9999
	ver_mes()
	diax=1
	diay=1
end

while true do 
controls.read()
movimiento_ola()

screen.print(fuente,240,30,fecha.day.." de "..mes.." de "..fecha.year,1,blanco,rojo,"center")
if morerecent!=9999 then screen.print(fuente,430,15,"Dia con\ncita mas\nrecciente: "..morerecent,0.6,blanco,0,"center") end

if controls.r() and controls.l() then viajar() end
if controls.release("r") then fecha.month=fecha.month+1 ver_mes() elseif controls.release("l") then fecha.month=fecha.month-1 ver_mes() end

if controls.press("up") then diay=diay-1 elseif controls.press("down") then diay=diay+1 end
if controls.press("left") then diax=diax-1 elseif controls.press("right") then diax=diax+1 end

if diay>6 then diay=6 elseif diay<1 then diay=1 end
if diax>7 then diax=7 elseif diax<1 then diax=1 end

if meses[diay][diax]!="" then
	if controls.press("cross") then escribir() end
	if controls.press("triangle") then consultar() end
	if controls.release("square") then borra_day() end
end

if controls.square() then removeall=removeall+1 else removeall=0 end
if removeall>50 then borra_todo() os.message("Han sido borradas todas las citas o notas") removeall=0 end

for y=1,6 do
	for x=1,7 do
		if diax==x and diay==y then
			if meses[y][x]=="" then
				draw.gradrect(65*x-45,35*y+20,55,25,gris_d,plateado,gris_d,plateado)
			else
				draw.gradrect(65*x-45,35*y+20,55,25,gris,plateado,gris_o,plateado)
				screen.print(fuente,65*x-30,35*y+30,meses[y][x],0.8,rojo,blanco)
				if anotados[y][x]=="*" then screen.print(fuente,65*x-5,35*y+30,"*",0.8,rojo,blanco) end
			end
			draw.rect(65*x-45,35*y+20,55,25,rojo)
		else
			if meses[y][x]=="" then
				draw.gradrect(65*x-45,35*y+20,55,25,gris_d,plateado,gris_d,plateado)
			else
				draw.gradrect(65*x-45,35*y+20,55,25,gris,plateado,gris_o,plateado)
				screen.print(fuente,65*x-30,35*y+30,meses[y][x],0.8,oliva,blanco)
				if anotados[y][x]=="*" then screen.print(fuente,65*x-5,35*y+30,"*",0.8,oliva,blanco) end
			end
			draw.rect(65*x-45,35*y+20,55,25,gris)
		end
	end
end

screen.flip()
if controls.start() then sistema("Calendario",true) end
end
end
